Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Invisible polylines

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
kostial.mk
1196 Views, 4 Replies

Invisible polylines

Hello everyone,

 

I've received a dwg file from surveyors, which contained 3D linework (mostly 3D polylines and 3D splines). Now as I am creating a background overlay which should be 2D I ran across some polylines I cannot see, though I can select them through QuickSelect, or SelectAll. All layers are on and thawned.

 

The strange thing about them is, that when I run command List on them, there is a line which says "Invisible".

kostialmk_0-1632204141627.png

 

I wasn't able to find anything on Google, so I am turning to the forum. What are invisible polylines? How to work with them and to make them visible?

Tags (1)
4 REPLIES 4
Message 2 of 5
3wood
in reply to: kostial.mk

The command to hide an object is HIDEOBJECTS. It makes selected objects 'Invisible'.

To show them, simply use command UNHIDE.

Message 3 of 5
kostial.mk
in reply to: 3wood

Thank you for your reply, but this is not that. I have tried unisolating, but nothing happend.

 

kostialmk_0-1632208898228.png

 

Message 4 of 5
3wood
in reply to: kostial.mk

Not sure what is wrong.

Just try following code. Save it as a lisp file, load it with command APPLOAD, and type VISIBLE to show all hidden objects.

 

;;; Make everything visible. By 3wood 2021.09.21
(defun C:VISIBLE (/ s1 n1)
  (setq s1 (ssget "x")
	n1 0)
  (repeat (sslength s1)
    (vla-put-visible (vlax-ename->vla-object (ssname s1 n1)) :vlax-true)
    (setq n1 (1+ n1))
    )
  )

 

Message 5 of 5
kostial.mk
in reply to: 3wood

Thank you, 

 

this worked, this unisolated the invisible polylines, though I am not sure, what happend.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


Autodesk Design & Make Report